## bfgminer 3.10.0

=== openwrt/bfgminer/Makefile ===
#
# Copyright 2013 Luke Dashjr
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the License, or (at your option)
# any later version.  See COPYING for more details.
#

include $(TOPDIR)/rules.mk

PKG_NAME:=bfgminer
PKG_TITLE:=BFGMiner
PKG_VERSION:=3.10.0
PKG_RELEASE:=1

PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tbz2
PKG_SOURCE_URL:=http://luke.dashjr.org/programs/bitcoin/files/$(PKG_NAME)/$(PKG_VERSION)/

PKG_INSTALL:=1

include $(INCLUDE_DIR)/package.mk

define Download/uthash
	FILE:=v1.9.8
	URL:=https://codeload.github.com/troydhanson/uthash/tar.gz/
endef
$(eval $(call Download,uthash))

define Package/$(PKG_NAME)/Default
	MAINTAINER:="Luke Dashjr" <luke_openwrt@dashjr.org>
	SECTION:=utils
	CATEGORY:=Utilities
	URL:=http://luke.dashjr.org/programs/$(PKG_NAME)
	DEPENDS:=+$(PKG_NAME)
endef

define Package/$(PKG_NAME)
$(call Package/$(PKG_NAME)/Default)
	TITLE:=$(PKG_TITLE) (Bitcoin miner)
	DEPENDS:=+libc +libcurl +libpthread +jansson +PACKAGE_$(PKG_NAME)_libevent:libevent2 +PACKAGE_$(PKG_NAME)_curses:libncurses +PACKAGE_$(PKG_NAME)_libmicrohttpd:libmicrohttpd +PACKAGE_$(PKG_NAME)_libusb:libusb-1.0
endef

define Package/$(PKG_NAME)/description
Modular Bitcoin ASIC/FPGA/GPU/CPU miner in C
endef

define Package/$(PKG_NAME)/config
config PACKAGE_$(PKG_NAME)_curses
	bool "Build with curses TUI support"
	depends on PACKAGE_$(PKG_NAME)
	default y
config PACKAGE_$(PKG_NAME)_libevent
	bool "Build with stratum server support"
	depends on PACKAGE_$(PKG_NAME)
	default y
config PACKAGE_$(PKG_NAME)_libmicrohttpd
	bool "Build with getwork server support (Block Erupter blades)"
	depends on PACKAGE_$(PKG_NAME)
	default y
config PACKAGE_$(PKG_NAME)_libusb
	bool "Build with libusb support (X6500 & ZTEX)"
	depends on PACKAGE_$(PKG_NAME)
	default y
endef

ifndef CONFIG_PACKAGE_$(PKG_NAME)_curses
CONFIGURE_ARGS += --without-curses
else
CONFIGURE_ARGS += --with-curses=ncurses
endif

ifndef CONFIG_PACKAGE_$(PKG_NAME)_libevent
CONFIGURE_ARGS += --without-libevent
else
CONFIGURE_ARGS += --with-libevent
endif

ifndef CONFIG_PACKAGE_$(PKG_NAME)_libmicrohttpd
CONFIGURE_ARGS += --without-libmicrohttpd
else
CONFIGURE_ARGS += --with-libmicrohttpd
endif

ifndef CONFIG_PACKAGE_$(PKG_NAME)_libusb
CONFIGURE_ARGS += --disable-x6500 --disable-ztex
endif

TARGET_CFLAGS += -std=gnu99
TARGET_CFLAGS += -Iuthash-1.9.8/src

CONFIGURE_ARGS += --without-libudev
CONFIGURE_ARGS += --without-sensors

define Build/Prepare
	$(call Build/Prepare/Default)
	gzip -dc $(DL_DIR)/v1.9.8 | $(HOST_TAR) -C $(PKG_BUILD_DIR) $(TAR_OPTIONS)
endef

define Build/Configure
	# Need to remake configure etc to pick up on cross-compiler libtool
	( cd $(PKG_BUILD_DIR); NOSUBMODULES=1 ./autogen.sh; )
	
	$(call Build/Configure/Default)
endef

define Package/$(PKG_NAME)/install
	$(INSTALL_DIR) $(1)/usr/bin $(1)/usr/lib
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/$(PKG_NAME) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/$(PKG_NAME)-rpc $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/lib/libblkmaker*.so* $(1)/usr/lib
endef

ALL_$(PKG_NAME)_PACKAGES += $(PKG_NAME)

#### BitForce firmware flash ####

define Package/bitforce-firmware-flash
$(call Package/$(PKG_NAME)/Default)
	TITLE:=BitForce firmware flash tool
endef

define Package/bitforce-firmware-flash/description
BitForce firmware flash tool
endef

define Package/bitforce-firmware-flash/install
	$(INSTALL_DIR) $(1)/usr/bin
	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/bitforce-firmware-flash $(1)/usr/bin
endef

ALL_$(PKG_NAME)_PACKAGES += bitforce-firmware-flash


$(foreach bitstream,$(ALL_$(PKG_NAME)_PACKAGES),$(eval $(call BuildPackage,$(bitstream))))

=== debian/changelog ===
bfgminer (3.10.0-2) unstable; urgency=low

  * New patch to fix FTBFS on second build (Closes: #737678).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 10 Feb 2014 10:47:06 +1100

bfgminer (3.10.0-1) unstable; urgency=low

  * New upstream release [January 2014]
    (Closes: #735918).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jan 2014 21:57:29 +1100

bfgminer (3.9.0-1) unstable; urgency=low

  * New upstream release [December 2013].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 07 Jan 2014 20:10:44 +1100

bfgminer (3.8.1-1) unstable; urgency=low

  * New upstream release [December 2013].
  * Disabled deprecated CPU mining; updated package description and man page.
  * Removed build options that are enabled by default.
  * Build-Depends:
    + libevent-dev
    + libmicrohttpd-dev
    + libsensors4-dev [!hurd-any]
    - yasm

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 15 Dec 2013 05:06:07 +1100

bfgminer (3.6.0-1) unstable; urgency=low

  * Initial release (Closes: #706273).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 26 Nov 2013 01:32:36 +1100

=== debian/control ===
Source: bfgminer
Section: net
Priority: optional
Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, help2man
 ,libblkmaker-0.1-dev
 ,libcurl4-gnutls-dev | libcurl4-dev
 ,libevent-dev
 ,libjansson-dev
 ,libmicrohttpd-dev
 ,libncurses5-dev
 ,libsensors4-dev [!hurd-any]
 ,libudev-dev [!kfreebsd-any]
 ,libusb-1.0-0-dev
 ,pkg-config
 ,uthash-dev
# ,yasm
Standards-Version: 3.9.5
Homepage: https://github.com/luke-jr/bfgminer
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git
Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/bfgminer.git

Package: bfgminer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ocl-icd-libopencl1, opencl-icd
Description: multi-threaded multi-pool ASIC, FPGA and GPU bitcoin miner
 Bitcoin miner software with multi-threaded multi-pool GPU, FPGA and ASIC
 mining support.
 .
 BitCoins are a digital currency, exchanged freely against
 all other currencies. Coins may be issued by everyone, one
 just needs considerable computer power - and luck. To even
 out rewards for one's contribution, many initiative have
 forms to provide pools of computers and share the load.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/lib/bfgminer \
                             --disable-silent-rules \
                             --enable-opencl \
                             --enable-scrypt \
                             --with-system-libblkmaker
#                             --enable-cpumining \

override_dh_auto_install:
	dh_auto_install
	## remove duplicates
	cd $(CURDIR)/debian/bfgminer/usr/share/doc/bfgminer && $(RM) -v COPYING* NEWS*

MAN_NAME=multi-threaded multi-pool ASIC, FPGA, GPU and CPU bitcoin miner.
bfgminer.1:
	help2man --no-info --name="$(MAN_NAME)" ./bfgminer > bfgminer.1
	perl \
             -E 's{\s+(It was generated by help2man)}{ $$1};   # correcting help2man comment'               \
             -E 's{^bfgminer\s+[\d.]+$$}{$(MAN_NAME)};         # correcting DESCRIPTION section'            \
             -E 's{\.PP\K}{\n.SH OPTIONS\n};                   # create OPTIONS section'                    \
             -E 's{^(Options\s+for)}{.SS\n$$1};                # separate Options paragraphs'               \
             -E 's{^(\\fB\\-\\-)}{.TP\n$$1};                   # prepend each option with .TP'              \
             -E 's{(?:<arg>\s+|\s\s+|\\fR\s+(?!<arg>))\K}{\n}; # separate arguments and their descriptions' \
          -pi $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_builddeb:
	dh_builddeb -- -Zxz

DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
.PHONY: get-orig-source
get-orig-source:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)

=== debian/watch ===
version=3

opts="uversionmangle=s/-/./" \
 https://github.com/luke-jr/bfgminer/releases \
  .*/archive/bfgminer-(\d[\d\.]+)\.tar\.gz

## bfgminer 4.4.0+dfsg

=== openwrt/bfgminer/Makefile ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 PKG_NAME:=bfgminer
 PKG_TITLE:=BFGMiner
-PKG_VERSION:=3.10.0
+PKG_VERSION:=4.4.0
 PKG_RELEASE:=1
 
-PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tbz2
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).txz
 PKG_SOURCE_URL:=http://luke.dashjr.org/programs/bitcoin/files/$(PKG_NAME)/$(PKG_VERSION)/
 
 PKG_INSTALL:=1
@@ -62,6 +62,10 @@
 	bool "Build with libusb support (X6500 & ZTEX)"
 	depends on PACKAGE_$(PKG_NAME)
 	default y
+config PACKAGE_$(PKG_NAME)_scrypt
+	bool "Build with scrypt algorithm support"
+	depends on PACKAGE_$(PKG_NAME)
+	default y
 endef
 
 ifndef CONFIG_PACKAGE_$(PKG_NAME)_curses
@@ -83,7 +87,11 @@
 endif
 
 ifndef CONFIG_PACKAGE_$(PKG_NAME)_libusb
-CONFIGURE_ARGS += --disable-x6500 --disable-ztex
+CONFIGURE_ARGS += --without-libusb
+endif
+
+ifdef CONFIG_PACKAGE_$(PKG_NAME)_scrypt
+CONFIGURE_ARGS += --enable-scrypt
 endif
 
 TARGET_CFLAGS += -std=gnu99

=== debian/changelog ===
bfgminer (4.4.0+dfsg-1) unstable; urgency=low

  * New upstream release [July 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Jul 2014 14:39:21 +1000

bfgminer (4.3.0+dfsg-1) unstable; urgency=low

  * New upstream release [July 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Jul 2014 08:30:47 +1000

bfgminer (4.2.0+dfsg-1) unstable; urgency=low

  * New upstream release [June 2014] (Closes: 751655)
    + Fixed missing typecasts (Closes: #748306).
  * "debian/watch" to check upstream home page, not Github.
  * DFSG-repackaging using "Files-Excluded"; get-orig-source update.
  * Added "debian/gbp.conf".
  * Install "README.ASIC".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 20 Jun 2014 03:08:46 +1000

=== debian/rules ===
--- 
+++ 
@@ -45,5 +45,7 @@
 .PHONY: get-orig-source
 get-orig-source:
 	@echo "# Downloading..."
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(DPATH)
-
+	uscan --noconf --verbose --rename \
+              --destdir=$(CURDIR) --check-dirname-level=0 \
+              --force-download --download-version $(VER) $(DPATH) \
+              --repack --compression xz

## bfgminer 4.7.0+dfsg

=== openwrt/bfgminer/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright 2013 Luke Dashjr
+# Copyright 2013-2014 Luke Dashjr
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -11,7 +11,7 @@
 
 PKG_NAME:=bfgminer
 PKG_TITLE:=BFGMiner
-PKG_VERSION:=4.4.0
+PKG_VERSION:=4.7.0
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).txz
@@ -121,23 +121,5 @@
 
 ALL_$(PKG_NAME)_PACKAGES += $(PKG_NAME)
 
-#### BitForce firmware flash ####
-
-define Package/bitforce-firmware-flash
-$(call Package/$(PKG_NAME)/Default)
-	TITLE:=BitForce firmware flash tool
-endef
-
-define Package/bitforce-firmware-flash/description
-BitForce firmware flash tool
-endef
-
-define Package/bitforce-firmware-flash/install
-	$(INSTALL_DIR) $(1)/usr/bin
-	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/bitforce-firmware-flash $(1)/usr/bin
-endef
-
-ALL_$(PKG_NAME)_PACKAGES += bitforce-firmware-flash
-
 
 $(foreach bitstream,$(ALL_$(PKG_NAME)_PACKAGES),$(eval $(call BuildPackage,$(bitstream))))

=== debian/changelog ===
bfgminer (4.7.0+dfsg-2) unstable; urgency=medium

  * Don't fail if `setup-vfio` do not exist (e.g. on kFreeBSD).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Sep 2014 11:57:40 +1000

bfgminer (4.7.0+dfsg-1) unstable; urgency=low

  * New upstream release [August 2014].
  * Install `setup-vfio` to "/usr/lib/bfgminer/".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 23 Aug 2014 14:22:36 +1000

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	dh_auto_install
 	## remove duplicates
 	cd $(CURDIR)/debian/bfgminer/usr/share/doc/bfgminer && $(RM) -v COPYING* NEWS*
+	## move executable to private location
+	-mv -v $(CURDIR)/debian/bfgminer/usr/sbin/setup-vfio  $(CURDIR)/debian/bfgminer/usr/lib/bfgminer/
+	# Wipe empty dirs if any
+	find $(CURDIR)/debian -type d -empty -delete -printf 'removed %p\n'
 
 MAN_NAME=multi-threaded multi-pool ASIC, FPGA, GPU and CPU bitcoin miner.
 bfgminer.1:

=== debian/watch ===
version=3

## Incomplete tarballs missing subproject files:
#opts="uversionmangle=s/-/./" \
# https://github.com/luke-jr/bfgminer/releases \
#  .*/archive/bfgminer-(\d[\d\.]+)\.tar\.gz

opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/-/./,\
downloadurlmangle=s/(\d[\d.]+)\//$1\/bfgminer-$1\.txz/,\
filenamemangle=s/.*/+dfsg.orig.tar.xz/,\
 http://luke.dashjr.org/programs/bitcoin/files/bfgminer/ (\d[\d\.]+)\/

opts=\
dversionmangle=s/\+dfsg//,\
uversionmangle=s/-/./,\
 http://luke.dashjr.org/programs/bitcoin/files/bfgminer/(\d[\d\.]+)\/bfgminer-(\d[\d\.]+)\.t(?:xz|bz2)

## bfgminer 5.2.0+dfsg

=== openwrt/bfgminer/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 PKG_NAME:=bfgminer
 PKG_TITLE:=BFGMiner
-PKG_VERSION:=4.7.0
+PKG_VERSION:=5.2.0
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).txz
@@ -62,6 +62,10 @@
 	bool "Build with libusb support (X6500 & ZTEX)"
 	depends on PACKAGE_$(PKG_NAME)
 	default y
+config PACKAGE_$(PKG_NAME)_keccak
+	bool "Build with Keccak algorithm support"
+	depends on PACKAGE_$(PKG_NAME)
+	default n
 config PACKAGE_$(PKG_NAME)_scrypt
 	bool "Build with scrypt algorithm support"
 	depends on PACKAGE_$(PKG_NAME)
@@ -90,6 +94,10 @@
 CONFIGURE_ARGS += --without-libusb
 endif
 
+ifdef CONFIG_PACKAGE_$(PKG_NAME)_keccak
+CONFIGURE_ARGS += --enable-keccak
+endif
+
 ifdef CONFIG_PACKAGE_$(PKG_NAME)_scrypt
 CONFIGURE_ARGS += --enable-scrypt
 endif
@@ -99,6 +107,7 @@
 
 CONFIGURE_ARGS += --without-libudev
 CONFIGURE_ARGS += --without-sensors
+CONFIGURE_ARGS += --without-system-libbase58
 
 define Build/Prepare
 	$(call Build/Prepare/Default)
@@ -117,6 +126,7 @@
 	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/$(PKG_NAME) $(1)/usr/bin
 	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/bin/$(PKG_NAME)-rpc $(1)/usr/bin
 	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/lib/libblkmaker*.so* $(1)/usr/lib
+	$(INSTALL_BIN) $(PKG_INSTALL_DIR)/usr/lib/libbase58*.so* $(1)/usr/lib
 endef
 
 ALL_$(PKG_NAME)_PACKAGES += $(PKG_NAME)

=== debian/changelog ===
bfgminer (5.2.0+dfsg-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:39:29 +0000

bfgminer (5.2.0+dfsg-1) unstable; urgency=low

  * New upstream release [June 2015].
  * Build-Depends:
    - libbase58-dev
    + libbase58-dev (>= 0.1.4)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Jun 2015 13:30:29 +1000

bfgminer (5.1.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable (Closes: #786673).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 24 May 2015 21:45:59 +1000

bfgminer (5.1.0+dfsg-1) experimental; urgency=low

  * New upstream release [February 2015].
  * Removed obsolete "no_blkmaker.patch".
  * Build-Depends += libbase58-dev.
  * watch: added "repacksuffix=+dfsg".
  * copyright: Files-Exclided += libbase58; cleanup.
  * Standards-Version: 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Apr 2015 12:47:37 +1000

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, help2man
+ ,libbase58-dev (>= 0.1.4)
  ,libblkmaker-0.1-dev
  ,libcurl4-gnutls-dev | libcurl4-dev
  ,libevent-dev
@@ -16,7 +17,7 @@
  ,pkg-config
  ,uthash-dev
 # ,yasm
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/luke-jr/bfgminer
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git
 Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/bfgminer.git

## bfgminer 5.4.2+dfsg

=== knc-asic/Makefile ===
OPTFLAGS=-O2
CFLAGS=-g $(OPTFLAGS) -W -Wall -Werror -I. $(DEFINES)

LDLIBS=

BINARIES = asic knc-serial io-pwr knc-led RPi_gpio_pud

.PHONY: waas raspberry beaglebone backplane all

unspecified:
	@echo "ERROR: You need to specify which board to build for"
	@echo "beaglebone	Beaglebone black controller"
	@echo "raspberry	Raspberry Pi controller"

raspberry: DEFINES+=-DCONTROLLER_BOARD_RPI
beaglebone: DEFINES+=-DCONTROLLER_BOARD_BBB
backplane: DEFINES+=-DCONTROLLER_BOARD_BACKPLANE

raspberry: all
beaglebone: all
backplane: all

all: $(BINARIES) waas

asic: knc-asic.o knc-spimux.o knc-transport-spimux.o logging.o

knc-led: knc-asic.o knc-spimux.o knc-transport-spimux.o logging.o

io-pwr: i2c.o tps65217.o

waas:
	$(MAKE) -C waas DEFINES="$(DEFINES)"

clean:
	rm -f $(BINARIES) *.o *~
	make -C waas clean

=== openwrt/bfgminer/Makefile ===
--- 
+++ 
@@ -11,11 +11,15 @@
 
 PKG_NAME:=bfgminer
 PKG_TITLE:=BFGMiner
-PKG_VERSION:=5.2.0
+PKG_VERSION:=5.4.2
 PKG_RELEASE:=1
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).txz
 PKG_SOURCE_URL:=http://luke.dashjr.org/programs/bitcoin/files/$(PKG_NAME)/$(PKG_VERSION)/
+
+PKG_MAINTAINER:=Luke Dashjr <luke-jr+bfgminer@utopios.org>
+PKG_LICENSE:=GPL-3.0+
+PKG_LICENSE_FILES:=COPYING
 
 PKG_INSTALL:=1
 
@@ -59,9 +63,13 @@
 	depends on PACKAGE_$(PKG_NAME)
 	default y
 config PACKAGE_$(PKG_NAME)_libusb
-	bool "Build with libusb support (X6500 & ZTEX)"
+	bool "Build with libusb support (Cointerra, HashBuster Micro, Klondike, X6500 & ZTEX)"
 	depends on PACKAGE_$(PKG_NAME)
 	default y
+config PACKAGE_$(PKG_NAME)_bitmain
+	bool "Build with bitmain driver (only for S* series miners)"
+	depends on PACKAGE_$(PKG_NAME)
+	default n
 config PACKAGE_$(PKG_NAME)_keccak
 	bool "Build with Keccak algorithm support"
 	depends on PACKAGE_$(PKG_NAME)
@@ -92,6 +100,10 @@
 
 ifndef CONFIG_PACKAGE_$(PKG_NAME)_libusb
 CONFIGURE_ARGS += --without-libusb
+endif
+
+ifdef CONFIG_PACKAGE_$(PKG_NAME)_bitmain
+CONFIGURE_ARGS += --enable-bitmain
 endif
 
 ifdef CONFIG_PACKAGE_$(PKG_NAME)_keccak

=== debian/changelog ===
bfgminer (5.4.2+dfsg-1build2) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:37:56 +0000

bfgminer (5.4.2+dfsg-1build1) artful; urgency=medium

  * No-change rebuild against latest libmicrohttpd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Jul 2017 13:47:53 -0400

bfgminer (5.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Standards-Version: 3.9.8.
  * Upgraded Vcs-Browser URL.
  * Suggests += "mesa-opencl-icd".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 May 2016 18:29:33 +1000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: bfgminer
 Section: net
 Priority: optional
-Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Bitcoin Packaging Team <pkg-bitcoin-devel@lists.alioth.debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, help2man
  ,libbase58-dev (>= 0.1.4)
@@ -17,15 +18,16 @@
  ,pkg-config
  ,uthash-dev
 # ,yasm
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/luke-jr/bfgminer
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-bitcoin/bfgminer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bitcoin/bfgminer.git
 Vcs-Git: git://anonscm.debian.org/pkg-bitcoin/bfgminer.git
 
 Package: bfgminer
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: ocl-icd-libopencl1, opencl-icd
+Suggests: mesa-opencl-icd
 Description: multi-threaded multi-pool ASIC, FPGA and GPU bitcoin miner
  Bitcoin miner software with multi-threaded multi-pool GPU, FPGA and ASIC
  mining support.

=== debian/rules ===
--- 
+++ 
@@ -41,11 +41,8 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 DPATH := $(abspath $(dir $(MAKEFILE_LIST)))
-VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
+VER ?= $(shell dpkg-parsechangelog -l$(DPATH)/changelog | perl -ne 'print $$1 if m{^Version:\s*([\d\.]+)}')
 .PHONY: get-orig-source
 get-orig-source:
 	@echo "# Downloading..."

=== debian/watch ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #  .*/archive/bfgminer-(\d[\d\.]+)\.tar\.gz
 
 opts=\
+repacksuffix=+dfsg,\
 dversionmangle=s/\+dfsg//,\
 uversionmangle=s/-/./,\
 downloadurlmangle=s/(\d[\d.]+)\//$1\/bfgminer-$1\.txz/,\
@@ -13,6 +14,7 @@
  http://luke.dashjr.org/programs/bitcoin/files/bfgminer/ (\d[\d\.]+)\/
 
 opts=\
+repacksuffix=+dfsg,\
 dversionmangle=s/\+dfsg//,\
 uversionmangle=s/-/./,\
  http://luke.dashjr.org/programs/bitcoin/files/bfgminer/(\d[\d\.]+)\/bfgminer-(\d[\d\.]+)\.t(?:xz|bz2)
